$(document).ready(function () {
    $("ul.sf-menu").supersubs({
        minWidth: 12, // minimum width of sub-menus in em units 
        maxWidth: 27, // maximum width of sub-menus in em units 
        extraWidth: 1 // extra width can ensure lines don't sometimes turn over 
        // due to slight rounding differences and font-family 
    }).superfish().supposition(); // supposition function added to reposition fly-out items when extending beyond browser window

    $("#accordion").accordion({
        autoHeight: false,
        collapsible: true,
        icons: {
            'header': 'ui-icon-plus',
            'headerSelected': 'ui-icon-minus'
        }
    });

    $(function () {
        $("#tabs").tabs();
    });

    // Create the dropdown base for mobile navigation
    $("<select id='mobilenav'/>").appendTo("#nav");

    // Create default option "Go to..."
    $("<option />", {
        "selected": "selected",
        "value": "",
        "text": "Go to..."
    }).appendTo("#nav select");

    // Populate dropdown with menu items
    $("#nav a").each(function () {
        var el2 = $(this);
        var spancode = el2.html();
        var el = spancode.split('<')[0];
        if (el2.attr("href") != "#" && el != "") {
            $("<option />", {
                "value": el2.attr("href"),
                "text": el
            }).appendTo("#nav select");
        }
    });

    $("#nav select").change(function () {
        window.location = $(this).find("option:selected").val();
    });


});